#App version config
APP_VERSION=14.0.0-v3

#Healcheck config
HEALTHCHECK_INTERVAL=30s
HEALTHCHECK_RETRIES=3
HEALTHCHECK_START_PERIOD=15s
HEALTHCHECK_TIMEOUT=300s

#Memery reservation config
MEM_LIMIT=512m
MEM_RESERVATION=256m

#Postgres config
POSTGRES_BIND=127.0.0.1
POSTGRES_DB=rdb
POSTGRES_OVERLOAD_checkpoint_completion_target_VALUE=0.9
POSTGRES_OVERLOAD_default_statistics_target_VALUE=100
POSTGRES_OVERLOAD_effective_cache_size_VALUE=1536MB
POSTGRES_OVERLOAD_effective_io_concurrency_VALUE=2
POSTGRES_OVERLOAD_idle_in_transaction_session_timeout_VALUE=300000
POSTGRES_OVERLOAD_maintenance_work_mem_VALUE=128MB
POSTGRES_OVERLOAD_max_connections_VALUE=150
POSTGRES_OVERLOAD_max_parallel_workers_per_gather_VALUE=4
POSTGRES_OVERLOAD_max_wal_size_VALUE=4GB
POSTGRES_OVERLOAD_max_worker_processes_VALUE=8
POSTGRES_OVERLOAD_min_wal_size_VALUE=1GB
POSTGRES_OVERLOAD_random_page_cost_VALUE=1
POSTGRES_OVERLOAD_shared_buffers_VALUE=512MB
POSTGRES_OVERLOAD_wal_buffers_VALUE=16MB
POSTGRES_OVERLOAD_work_mem_VALUE=873kB
POSTGRES_PASSWORD=gazelle
POSTGRES_USER=gazelle

#docker registry config
REGISTRY_APP="rg.fr-par.scw.cloud/gazelle"
REGISTRY_PATH="app"

#Docker compose config
MAX_SIZE= "10m"
MAX_FILE= "3"

#########################################################
############### KEYCLOAK + IUA-SIMULATOR ################
#########################################################

# IMAGE
APP_NAME=iua-simulator
APP_VERSION="1.0.2-SNAPSHOT"
REGISTRY_APP="rg.fr-par.scw.cloud/gazelle-snapshot"
REGISTRY_PATH="app"
FQDN="localhost"
SCHEMA="http"

#### Fill the $KEYCLOAK_URL and $IUA_URL values with your configuration ####
## TODO : Change to APP_URL and apply to impacted resources.
KEYCLOAK_URL=${SCHEMA}://${FQDN}
IUA_URL=${SCHEMA}://${FQDN}

####################
##### WILDFLY ######
####################
JBOSS_BIND=0.0.0.0
JBOSS_HTTP_PORT=8080
JBOSS_PORTS_OFFSET=0
JSSE_SNI_EXTENSION_ENABLED=true
JBOSS_PORTS_OFFSET_ENABLED=true
DEBUG_MODE_ENABLED=false
JBOSS_HTTP_REMOTE_DEBUG_PORT=8787
DEBUG_REMOTE_ENABLED=true

####################
##### COMPOSE ######
####################
MAX_SIZE=10m
MAX_FILE=3
MEM_LIMIT=2048m
MEM_RESERVATION=1024m
MEM_SWAPPINESS=0
HEALTHCHECK_INTERVAL=30s
HEALTHCHECK_RETRIES=3
HEALTHCHECK_START_PERIOD=15s
HEALTHCHECK_TIMEOUT=300s

#####################
##### KEYCLOAK ######
#####################
KC_HOSTNAME_STRICT=false
KC_HTTP_PORT=8090
KC_HTTP_ENABLED=true
KC_PROXY=passthrough
KC_HEALTH_ENABLED=true
KC_HTTP_RELATIVE_PATH=/iua-sso
KC_PROXY_ADDRESS_FORWARDING=true
KEYCLOAK_ADMIN=admin
KEYCLOAK_ADMIN_PASSWORD=admin

####################
##### DATABASE #####
####################
KC_DB_ENABLED=true
KC_DB_URL_PORT=5432
KC_DB=postgres
KC_DB_URL_HOST=127.0.0.1
KC_DB_PORT=5432
KC_DB_USERNAME=gazelle
KC_DB_PASSWORD=gazelle
KC_DB_URL_DATABASE=keycloak-iua

# TEST-IUA REALM
REALMS_CONF_TEST_IUA_JWT_ENDPOINT=http://localhost:8090/sso/realms/test-iua
REALMS_CONF_TEST_IUA_CLIENT_SECRET=OXoqU7IfigrmnFTAq78MzhupGI0m14W1
REALMS_CONF_TEST_IUA_CLIENT_ID=489070b4-0f6b-4859-b2e9-16da2194e180
REALMS_CONF_TEST_IUA_CLIENT_NAME=test-iua-client
REALMS_CONF_TEST_IUA_CLIENT_HUMAN_NAME='TEST IUA CLIENT JWT'
REALMS_CONF_TEST_IUA_SERVER_CALLBACK=http://localhost:8080/iua-simulator/rest/test/callback
REALMS_CONF_TEST_IUA_PRIVILEGED_USER_USERNAME=ihe_privileged_user
REALMS_CONF_TEST_IUA_PRIVILEGED_USER_CREDENTIAL=ihe_privileged_password
REALMS_CONF_TEST_IUA_USER_USERNAME=pvm
REALMS_CONF_TEST_IUA_USER_CREDENTIAL=password

# IHE-IUA REALM
REALMS_CONF_IHE_IUA_JWT_ADMIN_ENDPOINT=http://localhost:8090/sso/admin/realms/ihe-iua
REALMS_CONF_IHE_IUA_JWT_ENDPOINT=http://localhost:8090/sso/realms/ihe-iua
REALMS_CONF_IHE_IUA_CLIENT_SECRET=33BWXUt48RFFpL2yQ3ZRs4YmpQyQ1WBY
REALMS_CONF_IHE_IUA_CLIENT_ID=2e3049ce-3aee-40a1-9636-44b28f32d930
REALMS_CONF_IHE_IUA_CLIENT_NAME=ihe-iua-client
REALMS_CONF_IHE_IUA_CLIENT_HUMAN_NAME='IHE IUA CLIENT JWT'
REALMS_CONF_IHE_IUA_SERVER_CALLBACK=http://localhost:8080/iua-simulator/rest/ihe/callback
REALMS_CONF_IHE_IUA_PRIVILEGED_USER_USERNAME=ihe_privileged_user
REALMS_CONF_IHE_IUA_PRIVILEGED_USER_CREDENTIAL=ihe_privileged_password

# SPE-IUA REALM
REALMS_CONF_SPE_IUA_JWT_ADMIN_ENDPOINT=http://localhost:8090/sso/admin/realms/ch-iua
REALMS_CONF_SPE_IUA_JWT_ENDPOINT=http://localhost:8090/sso/realms/ch-iua
REALMS_CONF_SPE_IUA_CLIENT_SECRET=vMLfCAjAa9OiuQoK21EUN66R8fbx2fxa
REALMS_CONF_SPE_IUA_CLIENT_ID=3d59b3b0-1ede-4eda-8f3a-a2fd22520a9b
REALMS_CONF_SPE_IUA_CLIENT_NAME=ch-iua-client
REALMS_CONF_SPE_IUA_CLIENT_HUMAN_NAME='CH IUA CLIENT JWT'
REALMS_CONF_SPE_IUA_SERVER_CALLBACK=http://localhost:8080/iua-simulator/rest/ch/callback
REALMS_CONF_SPE_IUA_LDAP_CONNECTION_URL=ldap://ehealthsuisse.ihe-europe.net:10389
REALMS_CONF_SPE_IUA_LDAP_BIND_CREDENTIAL=secret
REALMS_CONF_SPE_IUA_PRIVILEGED_USER_USERNAME=privileged_user
REALMS_CONF_SPE_IUA_PRIVILEGED_USER_CREDENTIAL=privileged_password
